package parser;

/**
 * @author Mathias Ricken
 */
public class NoOpLambda implements ILambda {
    /**
     * Singleton instance.
     */
    public static final NoOpLambda Singleton = new NoOpLambda();

    /**
     * Private singleton constructor.
     */
    private NoOpLambda() {
        // nothing to do
    }

    /**
     * Return null.
     *
     * @param nu not used
     * @return null
     */
    public Object apply(Object nu) {
        return null;
    }
}
